<ui:composition xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"><!-- expected parameter :
		patientGeneratorBean: the name of the bean which extends PatientGenerator class
		displayAllCriteria : false if you need the user to select only the country, true otherwise -->
    <div class="row">
        <div class="col-md-6 form-horizontal">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Country']}</ui:define>
                <ui:param name="id" value="countrySelection"/>
                <h:selectOneMenu value="#{patientGeneratorBean.selectedCountryString}" id="countrySelection"
                                 styleClass="form-control gzl-select-text">
                    <s:selectItems value="#{patientGeneratorBean.availableCountries}"
                                   noSelectionLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}" var="country"
                                   label="#{country}"/>
                    <a4j:ajax event="change" render="criteriaDiv"
                              listener="#{patientGeneratorBean.selectCountry()}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div class="col-md-6">  </div>
    </div>
    <s:div id="criteriaDiv" styleClass="form-horizontal" rendered="#{patientGeneratorBean.ddsMode.equals('full') and displayAllCriteria}">
        <div class="row">
            <div class="col-md-6">
                <a4j:region id="firstNameRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="fndec">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.FirstName']}
                        </ui:define>
                        <ui:param name="id" value="firstNameGenerationSelection"/>
                        <div class="gzl-never-wrap">
                            <div class="col-md-4">
                                <h:selectOneMenu value="#{patientGeneratorBean.firstNameGenerationMode}"
                                                 id="firstNameGenerationSelection"
                                                 styleClass="form-control">
                                    <f:selectItem
                                            itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                            itemValue="random"/>
                                    <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Is']}"
                                                  itemValue="exact"/>
                                    <f:selectItem
                                            itemLabel="#{messages['gazelle.simulator.PatientGeneration.IsLike']}"
                                            itemValue="like"/>
                                    <f:selectItem
                                            itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                            itemValue="empty"/>
                                    <a4j:ajax event="change" render="fndec"/>
                                </h:selectOneMenu>
                            </div>
                            <div class="col-md-8">
                                <h:inputText value="#{patientGeneratorBean.firstName}" styleClass="form-control"
                                             rendered="#{patientGeneratorBean.firstNameGenerationMode.equals('exact') or patientGeneratorBean.firstNameGenerationMode.equals('like')}"/>
                            </div>
                        </div>
                    </s:decorate>
                </a4j:region>
            </div>
            <div class="col-md-6">
                <a4j:region id="genderRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Gender']}</ui:define>
                        <ui:param name="id" value="genderSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.returnedPatient.genderDescription}"
                                         id="genderSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Female']}"
                                          itemValue="Female"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Male']}"
                                          itemValue="Male"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <a4j:region id="lastNameRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="lndec">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.LastName']}
                        </ui:define>
                        <ui:param name="id" value="lastNameGenerationSelection"/>
                        <div class="gzl-never-wrap">
                            <div class="col-md-4">
                                <h:selectOneMenu value="#{patientGeneratorBean.lastNameGenerationMode}"
                                                 id="lastNameGenerationSelection" styleClass="form-control">
                                    <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                                  itemValue="random"/>
                                    <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Is']}"
                                                  itemValue="exact"/>
                                    <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.IsLike']}"
                                                  itemValue="like"/>
                                    <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                                  itemValue="empty"/>
                                    <a4j:ajax event="change" render="lndec"/>
                                </h:selectOneMenu>
                            </div>
                            <div class="col-md-8">
                                <h:inputText value="#{patientGeneratorBean.lastName}" styleClass="form-control"
                                             rendered="#{patientGeneratorBean.lastNameGenerationMode.equals('exact') or patientGeneratorBean.lastNameGenerationMode.equals('like')}"/>
                            </div>
                        </div>
                    </s:decorate>
                </a4j:region>
            </div>
            <div class="col-md-6">
                <a4j:region id="dateOfBirthRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.DateOfBirth']}
                        </ui:define>
                        <ui:param name="id" value="dobGenerationSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.dateOfBirthGenerationMode}"
                                         id="dobGenerationSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                          itemValue="empty"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <a4j:region id="motherMaidenNameRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.MothersMaidenName']}
                        </ui:define>
                        <ui:param name="id" value="mmNameGenerationSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.motherMaidenNameGenerationMode}"
                                         id="mmNameGenerationSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                          itemValue="empty"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
            <div class="col-md-6">
                <a4j:region id="addressRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Address']}</ui:define>
                        <ui:param name="id" value="addressGenerationSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.addressGenerationMode}"
                                         id="addressGenerationSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                          itemValue="empty"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <a4j:region id="religionRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{patientGeneratorBean.selectedCountry.generateReligion}">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Religion']}</ui:define>
                        <ui:param name="id" value="religionGenerationSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.religionGenerationMode}"
                                         id="religionGenerationSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                          itemValue="empty"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
            <div class="col-md-6">
                <a4j:region id="raceRegion">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{patientGeneratorBean.selectedCountry.generateRace}">
                        <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Race']}</ui:define>
                        <ui:param name="id" value="raceGenerationSelection"/>
                        <h:selectOneMenu value="#{patientGeneratorBean.raceGenerationMode}"
                                         id="raceGenerationSelection" styleClass="form-control">
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Random']}"
                                          itemValue="random"/>
                            <f:selectItem itemLabel="#{messages['gazelle.simulator.PatientGeneration.Empty']}"
                                          itemValue="empty"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </a4j:region>
            </div>
        </div>
    </s:div>
</ui:composition>
